package com.casic.missiles.modular.system.model;

import com.baomidou.mybatisplus.activerecord.Model;
import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableId;
import com.baomidou.mybatisplus.annotations.TableName;
import com.baomidou.mybatisplus.enums.IdType;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 报警工单表
 * </p>
 *
 * @author casic123
 * @since 2019-05-17
 */
@TableName("alarm_job")
public class AlarmJob extends Model<AlarmJob> {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "ID", type = IdType.AUTO)
    private Integer id;
    /**
     * 工单编号
     */
    @TableField("JOBCODE")
    private String jobcode;
    /**
     * 工单类型
     */
    @TableField("JOG_TYPE")
    private String jobType;
    /**
     * 井编号
     */
    @TableField("WELL_CODE")
    private String wellCode;
    /**
     * 设备编号
     */
    @TableField("DEVCODE")
    private String devcode;
    /**
     * 工单创建时间
     */
    @TableField("CREATE_TIME")
    private Date createTime;
    /**
     * 工单状态（0待处理，1待确认，2处理中，3完成）
     */
    @TableField("JOB_STATUS")
    private String jobStatus;
    /**
     * 接单人员
     */
    @TableField("GET_JOB_PERSON")
    private String getJobPerson;
    /**
     * 接单时间
     */
    @TableField("GET_JOB_TIME")
    private Date getJobTime;
    /**
     * 第一现场情况
     */
    @TableField("FIRST_STATE")
    private String firstState;
    /**
     * 第一现场照片
     */
    @TableField("FIRST_STATE_PHOTOS")
    private String firstStatePhotos;
    /**
     * 确认人员
     */
    @TableField("CONFIRM_JOB_PERSON")
    private String confirmJobPerson;
    /**
     * 确认时间
     */
    @TableField("CONFRIM_JOB_TIME")
    private Date confrimJobTime;
    /**
     * 处理人员
     */
    @TableField("HANDLE_JOB_Person")
    private String handleJobPerson;
    /**
     * 处理时间
     */
    @TableField("HANDLE_JOB_TIME")
    private Date handleJobTime;
    /**
     * 维护情况记录
     */
    @TableField("HANDLE_MESSAGE")
    private String handleMessage;
    /**
     * 维护图片
     */
    @TableField("HANDLE_PHOTOS")
    private String handlePhotos;
    /**
     * 工单流转记录
     */
    @TableField("FLOW")
    private String flow;

    @TableField("JOB_BELONG_TO")
    private String jobBelongTo;

    public String getJobBelongTo() {
        return jobBelongTo;
    }

    public void setJobBelongTo(String jobBelongTo) {
        this.jobBelongTo = jobBelongTo;
    }

    @TableField(exist = false)
    private Integer recordId;

    public Integer getRecordId() {
        return recordId;
    }

    public void setRecordId(Integer recordId) {
        this.recordId = recordId;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getJobcode() {
        return jobcode;
    }

    public void setJobcode(String jobcode) {
        this.jobcode = jobcode;
    }

    public String getJogType() {
        return jobType;
    }

    public void setJogType(String jobType) {
        this.jobType = jobType;
    }

    public String getWellCode() {
        return wellCode;
    }

    public void setWellCode(String wellCode) {
        this.wellCode = wellCode;
    }

    public String getDevcode() {
        return devcode;
    }

    public void setDevcode(String devcode) {
        this.devcode = devcode;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getJobStatus() {
        return jobStatus;
    }

    public void setJobStatus(String jobStatus) {
        this.jobStatus = jobStatus;
    }

    public String getGetJobPerson() {
        return getJobPerson;
    }

    public void setGetJobPerson(String getJobPerson) {
        this.getJobPerson = getJobPerson;
    }

    public Date getGetJobTime() {
        return getJobTime;
    }

    public void setGetJobTime(Date getJobTime) {
        this.getJobTime = getJobTime;
    }

    public String getFirstState() {
        return firstState;
    }

    public void setFirstState(String firstState) {
        this.firstState = firstState;
    }

    public String getFirstStatePhotos() {
        return firstStatePhotos;
    }

    public void setFirstStatePhotos(String firstStatePhotos) {
        this.firstStatePhotos = firstStatePhotos;
    }

    public String getConfirmJobPerson() {
        return confirmJobPerson;
    }

    public void setConfirmJobPerson(String confirmJobPerson) {
        this.confirmJobPerson = confirmJobPerson;
    }

    public Date getConfrimJobTime() {
        return confrimJobTime;
    }

    public void setConfrimJobTime(Date confrimJobTime) {
        this.confrimJobTime = confrimJobTime;
    }

    public String getHandleJobPerson() {
        return handleJobPerson;
    }

    public void setHandleJobPerson(String handleJobPerson) {
        this.handleJobPerson = handleJobPerson;
    }

    public Date getHandleJobTime() {
        return handleJobTime;
    }

    public void setHandleJobTime(Date handleJobTime) {
        this.handleJobTime = handleJobTime;
    }

    public String getHandleMessage() {
        return handleMessage;
    }

    public void setHandleMessage(String handleMessage) {
        this.handleMessage = handleMessage;
    }

    public String getHandlePhotos() {
        return handlePhotos;
    }

    public void setHandlePhotos(String handlePhotos) {
        this.handlePhotos = handlePhotos;
    }

    public String getFlow() {
        return flow;
    }

    public void setFlow(String flow) {
        this.flow = flow;
    }

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    @Override
    public String toString() {
        return "AlarmJob{" +
        "id=" + id +
        ", jobcode=" + jobcode +
        ", jogType=" + jobType +
        ", wellCode=" + wellCode +
        ", devcode=" + devcode +
        ", createTime=" + createTime +
        ", jobStatus=" + jobStatus +
        ", getJobPerson=" + getJobPerson +
        ", getJobTime=" + getJobTime +
        ", firstState=" + firstState +
        ", firstStatePhotos=" + firstStatePhotos +
        ", confirmJobPerson=" + confirmJobPerson +
        ", confrimJobTime=" + confrimJobTime +
        ", handleJobPerson=" + handleJobPerson +
        ", handleJobTime=" + handleJobTime +
        ", handleMessage=" + handleMessage +
        ", handlePhotos=" + handlePhotos +
        ", flow=" + flow +
        ", recordId=" + recordId +
        "}";
    }
}
